YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

0
votes
1answer
348 views

Centos official base docker image running out of space

I thought docker images use the underlying filesystem to create their own filesystem. However, I am installing some packages through "rvm requirements" that results in an error. The error is ...
0
votes
0answers
535 views

Yum does not install specific RPM version with custom repo

We use RPMS for our packaging and yum to update our environments. We have an rpm package-5.1.1-3 installed in our production server and in our yum repository we have 2 newer versions such as ...
0
votes
1answer
676 views

no package ipset available (centos EL5 x86_64)

I want to install ipset, but none of my repos seem to have it when I run yum install ipset [root@ora1 /]# cd /etc/yum.repos.d/ [root@ora1 yum.repos.d]# ls CentOS-Base.repo CentOS-Debuginfo.repo ...
0
votes
1answer
70 views

Preventing php-fpm from installing default conf file when updating over yum

Each time I update php-fpm on my server it installs a new www.conf file that interferes with my existing configuration. Is there any way to block it from being overwritten each time?
4
votes
2answers
206 views

Switching yum from RHEL to .. something else? [duplicate]

My various managers have decided that it's too expensive to keep paying for a subscription to the RedHat network for OS updates. Is it possible to switch to Fedora/CentOS or do I need to reinstall the ...
3
votes
1answer
2k views

yum client doesn't see new packages though server is updated

We have an internal yum server containing several repos (copies of the RHEL repo, programs created in-house, and so on). Our internal systems are firewalled off from the internet, so they can only use ...
0
votes
1answer
2k views

Unable to install phpMyAdmin via yum (remi)

I'm trying to install phpMyAdmin via remi and it seems like it's missing php-php-gettext: # yum --enablerepo=remi install phpMyAdmin Loaded plugins: amazon-id, rhui-lb Resolving Dependencies --> ...
1
vote
2answers
1k views

Yum Update Failing mod_ssl and glibc_devel

Any ideas on how to get this to not fail? # yum update Freeing read locks for locker 0x82: 4189/140342084876032 Freeing read locks for locker 0x84: 4189/140342084876032 Freeing read locks for locker ...
1
vote
1answer
460 views

yum list showing wrong version

I am trying to install freeswitch and while configuring it, it spits out the message. "checking for sqlite3 >= 3.6.20... Package sqlite3 was not found in the pkg-config search path. Perhaps you ...
4
votes
1answer
795 views

Why do I get different openssl versions?

I'm trying to check if I running the latest OpenSSL version, my main concern is the heartbleed bug. I tried 2 commands: openssl version yum info openssl openssl version output OpenSSL ...
0
votes
1answer
55 views

Redirect http queries

I need to exchange information with one webserver through soap. I have a computer with dynamic IP, but webserver allow only static ip (whitelisted). Also, I have a centos server with static ip. How ...
2
votes
2answers
179 views

YUM, “patchlevel” and the DTAP street on redhat/centos

Is there a way to make yum update to a certain patchlevel? I always promise my devs the servers between Dev, Test, Acc and Prod are the same with versions of software. But when u use yum via the ...
1
vote
1answer
239 views

Perl compatability issues when installing Git on EC2

Can anyone help me install git on one of my EC2 boxes? When I run: sudo yum install git I get: Resolving Dependencies --> Running transaction check ---> Package git.x86_64 0:1.8.2.1-1.el6 ...
5
votes
3answers
517 views

rkhunter warns of inode change but no file modification date changes

I have several systems running Centos 6 with rkhunter installed. I have a daily cron running rkhunter and reporting back via email. I very often get reports like: ---------------------- Start ...
0
votes
1answer
186 views

How does one get a recent version of git installed on an ec2 instance?

I can't for the life of me figure out how to get yum to install a recent version of git on an ec2 instance. yum install git installs 1.7.4.5, which is not recent enough. Surely there's some 1.8.x ...
0
votes
0answers
12 views

How to solve multlib error? [duplicate]

I've been developing on a local Ubuntu Server, and moving dev files to production CentOS6 server. Working on installing node, The internet instructed to install the "development tools" group, so I ...
0
votes
1answer
2k views

postfix failed to start CentOS 6.5

DISCLAIMER: I am new to CentOS, so please forgive me if I overlooked something simple. Here is my issue: I recently just reformatted my server to CentOS 6.5 x64 and I have been having issues getting ...
8
votes
2answers
387 views

Do old package versions in CentOS mean that they do not have security fixes?

We asked our admin to update SVN on our CentOS 6.5 server. He did so and the result was SVN 1.6.11. However the current version of SVN is 1.8.9. I know the CentOS yum repository is not always ...
1
vote
0answers
2k views

How to install latest Tomcat7 using yum on AWS EC2?

I'd like to install the latest (7.0.53) Tomcat on an AWS EC2 instance running Amazon Linux. If I were to do "sudo yum install tomcat7 -y", I would only get version 7.0.47, as shown by " yum list ...
2
votes
1answer
4k views

Solving multilib version problems

I use Centos 6.4 When I tried to install libgcc with yum install libgcc.i686 I took following massages. Error: Multilib version problems found. This often means that the root cause is ...
1
vote
1answer
182 views

Need help installing PHP5-DOM

I try to install PHP5-DOM on CentOS 6.5 using yum install php-xml and get this error: Error: Package: php-xml-5.3.3-27.el6_5.x86_64 (updates) Requires: php-common(x86-64) = 5.3.3-27.el6_5 ...
0
votes
2answers
2k views

No PHP-GD package available on Yum… But it is [closed]

What I've done so far Installed CentOS 6.5 x64 Installed cPanel Added REMI and EPEL repositories to the system Tried yum --enablerepo=remi,epel install php-gd The response: No package php-gd ...
0
votes
1answer
371 views

Can't use yum on guest - suspect port 80 forwarding in iptables on host at fault?

What's wrong with this set-up? Both host and guest are CentOS 6.5 Specifically, I can't run yum on the guest. I can ping happily to/from the guest, including pinging mirrorlist.centos.org If I ...
1
vote
1answer
648 views

How to Disable GPG checks per Channel in Spacewalk?

Is it possible to disable GPG checks on a per channel basis in Spacewalk? For patching of my servers, I've converted from using local yum repositories on the clients under /etc/yum.repos.d, to ...
0
votes
1answer
22 views

Is there a way to get logs on how many people download from your yum repository?

So we host some yum repositories for various customers and I'm wondering if there is any way to find out how often package XYZ gets downloaded from our yum repository? Is this something that is ...
0
votes
1answer
111 views

yum update MemoryError 1G memory free

I am trying to do yum update and getting "MemoryError". The server (OpenVZ box) has 2G RAM and Percona MySQL server running with 1G InnoDB buffer configured. The OS is CentOS 6.5, kernel ...
0
votes
1answer
610 views

Plesk error when adding a subscription: ODBC error #08S01 can't connect to local MySQL [closed]

I'm getting this error after updating MySQL to 5.6 (Plesk 11.5, fresh installation) using the official MySQL repository right after adding a new subscription. Internal error: ODBC error #08S01: ...
2
votes
2answers
1k views

Yum repo priorities and conflicts

On my CentOS 6.4 server, I am running MySQL 5.5.33 that I installed from the remi repository. I decided to upgrade MySQL to 5.6.x via MySQL's own yum repositories: ...
2
votes
1answer
2k views

Yum fails with [Errno 4] IOError: <urlopen error (111, 'Connection refused')> but TCP traceroute works

When I try to connect to yum repos using either yum info or yum install I get the error: [Errno 4] IOError: <urlopen error (111, 'Connection refused')> I first thought our Firewall may be to ...
0
votes
1answer
1k views

“yum update” error. How to handle this?

I have an ec2 instance and I'm trying to update all packages. But the problem is when I execute "yum update" it shows the message: Transaction Check Error: file /usr/lib64/perl5/vendor_perl/Cwd.pm ...
-1
votes
4answers
2k views

yum won't update my glibc packages

Is there any way to fix corrupted "yum"? This is what I got myself into by accidentally pressing ctrl+c while doing sudo yum update on an amazon linux EC2 instance $ sudo yum update Loaded plugins: ...
0
votes
1answer
3k views

Elastix Upgrade fails CentOS yum missing dependency with libwat, libgsmat, and libss7

I upgraded a year old vanilla Elastix box using yum update and yum upgrade. Almost 400 packages updated but a few of them failed, including asterisk. At present the switchboard is working but I can't ...
7
votes
2answers
2k views

How can I mirror a yum repository but download only the newest versions of each package?

I would like to mirror the following Yum/RPM repositories at http://yum.puppetlabs.com/ : http://yum.puppetlabs.com/el/6/products/ http://yum.puppetlabs.com/el/6/dependencies/ ...
4
votes
2answers
850 views

Using puppet and ensure latest for RPM package management

Using ensure => latest, I have systems which do not need all of the same packages. Will ensure => latest install the packages or only update if they already are present? If they are not ...
0
votes
1answer
284 views

yum search fails when run as non-root user

My yum has started failing to do search as a non-root user. This was working previously, and then something has been gummed up: sudo yum update works fine, as does sudo yum search blah. yum search ...
1
vote
1answer
1k views

puppet: how to submit command “yum update” to all agents?

I'm new to puppet and trying to create manifest which will request all agents to update all currently installed yum packages. What should be the best way to describe this in manifest?
0
votes
1answer
59 views

yum whatprovides does not return anything

I am trying to figure out what RPM provided /usr/bin/java. However, I think this may have been installed outside of yum. Is it possible for yum to tell me what provided /usr/bin/java if it wasn't ...
0
votes
1answer
259 views

Yum Hangs on “Setting up Update Process”

When running the following command, yum hangs on Setting up Update Process,and then server down and should to reboot from panel. centos 6.5 /etc/yum.conf [main] ...
4
votes
1answer
2k views

What can I do to safely repair my yum packages after a bad update?

I'm running amazon linux on an EC2 micro box. Recently I ran sudo yum update --security in the hope that it would patch Heartbleed. Unfortunately I ran out of memory during the update process and some ...
0
votes
3answers
493 views

Yum update problems on AWS with missing requirements and duplicate sendmail

I am running an AWS VM and tried: sudo yum update Result: Error: Protected multilib versions: sendmail-8.14.4-8.12.amzn1.x86_64 != sendmail-8.14.4-7.9.amzn1.i386 You could try using ...
2
votes
1answer
6k views

How to upgrade OpenSSL on CentOS 6.5 to protect against heartbleed? [duplicate]

When I go to run: root@vps [~]# yum update -y openssl I get: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirror.beyondhosting.net * extras: ...
2
votes
2answers
2k views

CentOS yum *.rpm package changelog (not installation changelog)

I just logged into my new rented server and updated openssl because of the heartbleed-bug (http://heartbleed.com). I updated using yum list openssl ... Installed Packages openssl.x86_64 ...
0
votes
2answers
927 views

Using `repomirror` to mirror a yum repository for a different OS version?

I have an EL5 machine. On this host I would like to mirror a Puppet repository for EL6 rpms. How can I mirror an EL6 or Fedora repository on an EL5 host? I am using reposync because I only need the ...
0
votes
1answer
290 views

Downgrade Perl 5.16 to 5.14

I carelessly did yum update on my Amazon Linux AMI and updated Perl. Now my Movable Type install doesn't work. I did some google but could not find any solution except downgrading Perl to 5.14. ...
1
vote
0answers
300 views

Oracle's JDK RPM doesn't provide “java”

I have the Oracle RPM for the Java 7 JDK installed on an Amazon EC2 instance. The Oracle RPMs for Java 7 JDK don't "provide" java nor jre. RPM reports that it provides the following: # rpm -q jdk ...
1
vote
2answers
48 views

Will redhat yum see packages installed with rpm? [closed]

Or if not, is there a way to make yum be aware of them? Does 'rpm -qa' and 'yum list installed' query the same source?
0
votes
0answers
187 views

How to start hadoop on CentOS

I have installed hadoop using Yum on CentOS: yum install hadoop Now I want to start hadoop but cannot find the start-all.sh script mentioned on many blogs and wiki pages such as ...
1
vote
1answer
719 views

yum install throwing error 403 when trying to install from rhel-x86_64-server-6

To preface this, I don't have much Red Hat experience. Most of my experience is with Ubuntu. The server I'm working on right now is running Red Hat Enterprise 6.5. I'm trying to do a simple yum ...
2
votes
2answers
2k views

Installing perl-Time-HiRes on RHEL6.2 gives perl dependency error

I get the following when trying to install perl-Time-HiRes: host1:user1 > sudo yum install perl-Time-HiRes Loaded plugins: product-id, security, subscription-manager This system is not registered ...
0
votes
1answer
357 views

PostgreSQL 9.1 on CentOS 6.5 - recovery.conf causing process exit with error code

I did setup streaming replication on the Ubuntu 12.04 LTS with rsyncing of the WAL files in case of failure. Now I was trying to do the same on the CentOS 6.5. To do this I've added official RPM from ...